/* Wrapper */
.sarmaye-faq {
  display: flex;
  flex-direction: column;
  gap: 18px;
  direction: rtl;
  font-family: inherit;
  max-width: 750px;
  width: 100%;
  margin: 0 auto; /* وسط‌چین افقی */
}

/* Card */
.sarmaye-faq-item {
  background: #ffffff;
  border-radius: 18px;
  overflow: hidden;

  box-shadow:
    0px 1px 2px -1px rgba(0, 0, 0, 0.1),
    0px 1px 3px 0px rgba(0, 0, 0, 0.1);
}

/* Question */
.sarmaye-faq-question {
  cursor: pointer;
  width: 100%;
  padding: 20px 30px;
  display: flex;
  align-items: center;
  gap: 20px;
  border: 0;
}

/* Text */
.faq-text {
  flex: 1;
  font-size: 18px;
  font-weight: 500;
  color: #111;
  text-align: right;
}

h2:has(+ .sarmaye-faq) {
  margin-bottom: 50px !important;
  font-size: 36px;
  font-weight: 700;
  color: #111;
  text-align: center;
}

@media (max-width: 480px) {
  .faq-text {
    font-size: 15px;
  }

  h2:has(+ .sarmaye-faq) {
    /* استایل h2 */
    font-size: 24px !important;
  }
}

/* Plus */
.faq-plus {
  order: 2;
  width: 42px;
  height: 42px;
  border-radius: 50%;
  background: #f3f4f6;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 26px;
  line-height: 1;
  color: #111;
  transition:
    transform 0.3s ease,
    background 0.3s ease;
}

/* Active */
.sarmaye-faq-item.active .faq-plus {
  background: #fff;
  color: #0b5cad;
  transform: rotate(45deg);
}

/* Answer */
.sarmaye-faq-answer {
  max-height: 0;
  overflow: hidden;
  padding: 0 28px;
  transition:
    max-height 0.4s ease,
    padding 0.3s ease;
}

.sarmaye-faq-item.active .sarmaye-faq-answer {
  max-height: 500px;
  padding-bottom: 24px;
}

/* Answer text */
.sarmaye-faq-answer p {
  margin: 0;
  font-size: 16px;
  line-height: 1.9;
  color: #111;
}

/* Disable hover/focus effects */
.sarmaye-faq-question:hover,
.sarmaye-faq-question:focus {
  background: none !important;
}
